var CONSULTA = "CONSULTA";

var MODIFICACION = "MODIFICACION";

var MODULO = "Cuestionarios";

var KEY_BORRAR = "KEY_BORRAR";





function ponAccion(key) {

    if (key == KEY_BORRAR) {

        if (confirm(msgBorrar)) {

            document.forms["formRoles"].accion.value = key;

            submmitFormulario(key);

        } else {

            return;

        }

    } else {

	    if(document.forms[0].elements["inicio"].value==MODIFICACION){

	    	for (i=0; i<document["formRoles"].elements["listaProcesosSeleccionados"].length; i++) {

				document["formRoles"].elements["listaProcesosSeleccionados"].options[i].selected = true;

			} 

			for (i=0; i<document["formRoles"].elements["listaGruposSeleccionados"].length; i++) {

				document["formRoles"].elements["listaGruposSeleccionados"].options[i].selected = true;

			}

			for (i=0; i<document["formRoles"].elements["listaGrupos"].length; i++) {

				document["formRoles"].elements["listaGrupos"].options[i].selected = true;

			}

			for (i=0; i<document["formRoles"].elements["listaProcesos"].length; i++) {

				document["formRoles"].elements["listaProcesos"].options[i].selected = true;

			}

		}

        document.forms["formRoles"].accion.value = key;

        submmitFormulario(key);

    }

}



function submmitFormulario(key) {

    document.forms["formRoles"].submit();

}



function onLoadPage() {

    if(document.forms[0].elements["inicio"].value==MODIFICACION){

    	document.forms[0].elements["rol(codigo)"].focus();

    	document.forms[0].elements["cmb_modulo"].value="";

    }

}



